Why can't I install 'rsyslog7' on a RHEV host?

Solution Verified - Updated -

Issue

  • Why can't I install vdsm on a system with rsyslog7 package installed?
# yum install vdsm-cli vdsm vdsm-xmlrpc vdsm-python vdsm-python-zombiereaperLoaded plugins: product-id, rhnplugin, security, subscription-manager
This system is receiving updates from RHN Classic or RHN Satellite.
Setting up Install Process
Resolving Dependencies
--> Running transaction check
---> Package vdsm.x86_64 0:4.14.18-4.el6ev will be installed
--> Processing Dependency: rsyslog for package: vdsm-4.14.18-4.el6ev.x86_64
---> Package vdsm-cli.noarch 0:4.14.18-4.el6ev will be installed
---> Package vdsm-python.x86_64 0:4.14.18-4.el6ev will be installed
---> Package vdsm-python-zombiereaper.noarch 0:4.14.18-4.el6ev will be installed
---> Package vdsm-xmlrpc.noarch 0:4.14.18-4.el6ev will be installed
--> Running transaction check
---> Package rsyslog.x86_64 0:5.8.10-10.el6_6 will be installed
--> Processing Conflict: rsyslog7-7.4.10-3.el6_6.x86_64 conflicts rsyslog
--> Finished Dependency Resolution
Error: rsyslog7 conflicts with rsyslog-5.8.10-10.el6_6.x86_64
 You could try using --skip-broken to work around the problem
 You could try running: rpm -Va --nofiles --nodigest

Environment

  • Red Hat Enterprise Virtualization 3.4 or earlier.
  • RHEL 6 based RHEV host.

Subscriber exclusive content

A Red Hat subscription provides unlimited access to our knowledgebase of over 48,000 articles and solutions.

Current Customers and Partners

Log in for full access

Log In